[Pkg-openssl-devel] Bug#584911: Bug#584911: bind9: hard-coded dependency on "/usr/lib/ssl/openssl.cnf" might cause trouble

Florian Weimer fw at deneb.enyo.de
Wed Jun 9 17:19:03 UTC 2010

* Kurt Roeckx:

> severity 584911 important
> thanks
> On Tue, Jun 08, 2010 at 09:03:13PM +0000, Debian Bug Tracking System wrote:
>> Processing commands for control at bugs.debian.org:
>> > reassign 584911 openssl 0.9.8g-15+lenny6
>> Bug #584911 [bind9] bind9: hard-coded dependency on "/usr/lib/ssl/openssl.cnf" might cause trouble
> I agree that the documentation does not match the behaviour.
> As far as I know, there never is a reason to remove the
> world-readable permission, so I'm lowering the severity.

Yeah, that's appropriate.

> I should probably move that file to the libssl0.9.8 package.

I don't think the location matters.  There's only a problem if the
file exists, but is not readable.  As long as it does not exist,
everything should be fine.

More information about the Pkg-openssl-devel mailing list